# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */  #
# See https://wiki.hyprland.org/Configuring/Window-Rules/ for more

#windowrule = noblur,gamescope
#windowrule = fullscreen,gamescope
#windowrule = workspace 6 silent,^(gamescope)$

# windowrule Position
windowrulev2 = center,class:^(pavucontrol|org.pulseaudio.pavucontrol|com.saivert.pwvucontrol)
windowrulev2 = center,class:^([Ww]hatsapp-for-linux)$
windowrulev2 = center,class:^([Ff]erdium)$

# WINDOWRULE v2
# windowrule v2 - position
# windowrulev2 = center,floating:1 # warning, it cause even the menu to float and center.
windowrulev2 = center, class:([Tt]hunar), title:(File Operation Progress)
windowrulev2 = center, class:([Tt]hunar), title:(Confirm to replace files)
windowrulev2 = center, title:^(ROG Control)$
windowrulev2 = center, title:^(Keybindings)$  
windowrulev2 = move 72% 7%,title:^(Picture-in-Picture)$ 
#windowrulev2 = move 72% 7%,title:^(Firefox)$ 
windowrulev2 = move cursor -50% -50%, class:blobdrop
windowrulev2 = move cursor -50% -25%, class:Bitwarden
windowrulev2 = move 0.5% 55px,title:term_hyprdrop

# windowrule v2 to avoid idle for fullscreen apps
windowrulev2 = idleinhibit fullscreen, class:^(*)$
windowrulev2 = idleinhibit fullscreen, title:^(*)$
windowrulev2 = idleinhibit fullscreen, fullscreen:1

# windowrule v2 move to workspace
windowrulev2 = workspace 1, class:^([Ff]irefox|org.mozilla.firefox|[Ff]irefox-esr)$
windowrulev2 = workspace 1, class:^([Mm]icrosoft-edge(-stable|-beta|-dev|-unstable)?)$
windowrulev2 = workspace 1, class:^([Gg]oogle-chrome(-beta|-dev|-unstable)?)$
windowrulev2 = workspace 1, class:^([Tt]horium-browser|[Cc]achy-browser)$
windowrulev2 = workspace 1, class:^(zen)$ # zen browser
windowrulev2 = workspace 1, class:thunderbird
windowrulev2 = workspace 2, class:^(kitty)$
windowrulev2 = workspace 2, class:^(com.mitchellh.ghostty)$
windowrulev2 = workspace 3, class:^([Dd]iscord|[Ww]ebCord|[Vv]esktop)$
windowrulev2 = workspace 3, class:^([Bb]eeperTexts)$
windowrulev2 = workspace 3, class:^([Ff]erdium)$
windowrulev2 = workspace 3, class:^([Ww]hatsapp-for-linux)$
windowrulev2 = workspace 3, class:^(microsoftteams-nativefier-6234c0)$
windowrulev2 = workspace 4 silent, class:^([Ss]team)$
windowrulev2 = workspace 4, class:^([Ll]utris)$
windowrulev2 = workspace 4, class:^([Hh]eroic)$
windowrulev2 = workspace 5, class:^(com.github.th_ch.youtube_music)$
windowrulev2 = workspace 5, class:^(feishin)$
windowrulev2 = workspace 5, class:^(Supersonic)$
windowrulev2 = workspace 6, class:^(jetbrains-phpstorm|jetbrains-rider)$

# windowrule v2 - float
windowrulev2 = float, class:^(org.kde.polkit-kde-authentication-agent-1)$ 
windowrulev2 = float, class:([Zz]oom|onedriver|onedriver-launcher)$
windowrulev2 = float, class:([Tt]hunar), title:(File Operation Progress)
windowrulev2 = float, class:([Tt]hunar), title:(Confirm to replace files)
windowrulev2 = float, class:(xdg-desktop-portal-gtk)
windowrulev2 = float, class:(org.gnome.Calculator), title:(Calculator)
windowrulev2 = float, class:(codium|codium-url-handler|VSCodium|code-oss), title:(Add Folder to Workspace)
windowrulev2 = float, class:(electron), title:(Add Folder to Workspace)
windowrulev2 = float, class:^([Rr]ofi)$
windowrulev2 = float, class:^(eog|org.gnome.Loupe)$ # image viewer
windowrulev2 = float, class:^(pavucontrol|org.pulseaudio.pavucontrol|com.saivert.pwvucontrol)$
windowrulev2 = float, class:^(nwg-look|qt5ct|qt6ct)$
windowrulev2 = float, class:^(mpv|com.github.rafostar.Clapper)$
windowrulev2 = float, class:^(nm-applet|nm-connection-editor|blueman-manager)$
windowrulev2 = float, class:^(gnome-system-monitor|org.gnome.SystemMonitor|io.missioncenter.MissionCenter)$ # system monitor
windowrulev2 = float, class:^([Yy]ad)$ 
windowrulev2 = float, class:^(wihotspot(-gui)?)$ # wifi hotspot
windowrulev2 = float, class:^(evince)$ # document viewer
windowrulev2 = float, class:^(file-roller|org.gnome.FileRoller)$ # archive manager
windowrulev2 = float, class:^([Bb]aobab|org.gnome.[Bb]aobab)$ # Disk usage analyzer
windowrulev2 = float, title:(Kvantum Manager)
windowrulev2 = float, class:^([Ss]team)$,title:^((?![Ss]team).*|[Ss]team [Ss]ettings)$
windowrulev2 = float, class:^([Qq]alculate-gtk)$
#windowrulev2 = float, class:^([Ww]hatsapp-for-linux)$
windowrulev2 = float, class:^([Ff]erdium)$
windowrulev2 = float, title:^(Picture-in-Picture)$
windowrulev2 = float, title:^(ROG Control)$
#windowrulev2 = float, title:^(Firefox)$
windowrulev2 = float, title:^(hyprgui)$
windowrulev2 = float, class:^(io.ente.auth)$
windowrulev2 = float, class:^(org.rncbc.qjackctl)$
windowrulev2 = float, class:^(blobdrop)$
windowrulev2 = float, title:yazi_hyprdrop
windowrulev2 = float, title:term_hyprdrop
windowrulev2 = float, class:Bitwarden
windowrulev2 = float, class:org.kde.kdeconnect.daemon
windowrulev2 = float, class:org.kde.kdeconnect-settings
windowrulev2 = float, class:org.kde.kdeconnect.app

# windowrule v2 - size
windowrulev2 = size 70% 70%, class:^(gnome-system-monitor|org.gnome.SystemMonitor|io.missioncenter.MissionCenter)$
windowrulev2 = size 70% 70%, class:^(xdg-desktop-portal-gtk)$
windowrulev2 = size 60% 70%, title:(Kvantum Manager)
windowrulev2 = size 60% 70%, class:^(qt6ct)$
windowrulev2 = size 70% 70%, class:^(evince|wihotspot(-gui)?)$
windowrulev2 = size 60% 70%, class:^(file-roller|org.gnome.FileRoller)$
windowrulev2 = size 60% 70%, class:^([Ww]hatsapp-for-linux)$
windowrulev2 = size 60% 70%, class:^([Ff]erdium)$
windowrulev2 = size 60% 70%, title:^(ROG Control)$
#windowrulev2 = size 25% 25%, title:^(Picture-in-Picture)$   
#windowrulev2 = size 25% 25%, title:^(Firefox)$ 
windowrulev2 = size 60% 70%, title:^(hyprgui)$
windowrulev2 = size 240px 450px, class:^(libresplit)$
windowrulev2 = size 500px 1000px, class:^(io.ente.auth)$
windowrulev2 = size 60% 70%, title:yazi_hyprdrop
windowrulev2 = size 99% 30%, title:term_hyprdrop
windowrulev2 = size 40% 70%, class:Bitwarden

# windowrule v2 - pinning
windowrulev2 = pin,title:^(Picture-in-Picture)$
windowrulev2 = pin,class: ^(io.ente.auth)$
windowrulev2 = pin,class:blobdrop

#windowrulev2 = pin,title:^(Firefox)$ 

# windowrule v2 - extras
windowrulev2 = keepaspectratio, title:^(Picture-in-Picture)$
